#define PIEZO_PIN A0
#define LED_PIN 9
#define SOGLIA 50
#define ATTESA_DEBOUNCE 100
#define DOPPIO_TOCCO 500


unsigned long ultimoTempoDebounce = 0;
unsigned long ultimoTocco = 0;

void setup(){
  pinMode(LED_PIN, OUTPUT);
}

void loop(){
  int vibrazioni = analogRead(PIEZO_PIN);
  if(vibrazioni > SOGLIA && (millis() - ultimoTempoDebounce) > ATTESA_DEBOUNCE){
    if((millis() - ultimoTocco) < DOPPIO_TOCCO){
      digitalWrite(LED_PIN, !digitalRead(LED_PIN));
      ultimoTocco = 0;
    }else{
      ultimoTocco = millis();
    }
    ultimoTempoDebounce = millis();
  }
  delay(10);
}
